Skip to content

List a repository's directories

GET
/teams/{teamId}/github/repos/{owner}/{repo}/tree
curl --request GET \
--url https://api.deploybase.eu/api/v1/teams/example/github/repos/example/example/tree

Lists the directories of a repository at ref (branch/tag/SHA), for the monorepo root-directory picker. Returns truncated: true when the repo is too large to list in full.

teamId
required
string

Team UUID

owner
required
string

Repository owner

repo
required
string

Repository name

ref
string

Branch, tag or SHA (defaults to HEAD)

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"data": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Repository not found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

No GitHub App connection

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}